# Class VulkanPipelineRenderingCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanPipelineRenderingCreateInfo.Builder

Enclosing class:
  `VulkanPipelineRenderingCreateInfo`

public static final class VulkanPipelineRenderingCreateInfo.Builder extends Object
Builds instances of type `VulkanPipelineRenderingCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanPipelineRenderingCreateInfo.Builder`
  `addAllColorAttachmentFormats(Iterable<? extends VulkanFormat> elements)`
  Adds elements to `colorAttachmentFormats` list.
  `final VulkanPipelineRenderingCreateInfo.Builder`
  `addColorAttachmentFormats(VulkanFormat element)`
  Adds one element to `colorAttachmentFormats` list.
  `final VulkanPipelineRenderingCreateInfo.Builder`
  `addColorAttachmentFormats(VulkanFormat... elements)`
  Adds elements to `colorAttachmentFormats` list.
  `VulkanPipelineRenderingCreateInfo`
  `build()`
  Builds a new `VulkanPipelineRenderingCreateInfo`.
  `final VulkanPipelineRenderingCreateInfo.Builder`
  `from(VulkanPipelineRenderingCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanPipelineRenderingCreateInfoType` instance.
  `final VulkanPipelineRenderingCreateInfo.Builder`
  `setColorAttachmentFormats(Iterable<? extends VulkanFormat> elements)`
  Sets or replaces all elements for `colorAttachmentFormats` list.
  `final VulkanPipelineRenderingCreateInfo.Builder`
  `setDepthAttachmentFormat(VulkanFormat depthAttachmentFormat)`
  Initializes the optional value `depthAttachmentFormat` to depthAttachmentFormat.
  `final VulkanPipelineRenderingCreateInfo.Builder`
  `setDepthAttachmentFormat(Optional<? extends VulkanFormat> depthAttachmentFormat)`
  Initializes the optional value `depthAttachmentFormat` to depthAttachmentFormat.
  `final VulkanPipelineRenderingCreateInfo.Builder`
  `setStencilAttachmentFormat(VulkanFormat stencilAttachmentFormat)`
  Initializes the optional value `stencilAttachmentFormat` to stencilAttachmentFormat.
  `final VulkanPipelineRenderingCreateInfo.Builder`
  `setStencilAttachmentFormat(Optional<? extends VulkanFormat> stencilAttachmentFormat)`
  Initializes the optional value `stencilAttachmentFormat` to stencilAttachmentFormat.
  `final VulkanPipelineRenderingCreateInfo.Builder`
  `setViewMask(long viewMask)`
  Initializes the value for the `viewMask` attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanPipelineRenderingCreateInfo.Builder from(VulkanPipelineRenderingCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanPipelineRenderingCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addColorAttachmentFormats

    public final VulkanPipelineRenderingCreateInfo.Builder addColorAttachmentFormats(VulkanFormat element)
    Adds one element to `colorAttachmentFormats` list.
    Parameters:
      `element` - A colorAttachmentFormats element
    Returns:
      `this` builder for use in a chained invocation

  - ### addColorAttachmentFormats

    public final VulkanPipelineRenderingCreateInfo.Builder addColorAttachmentFormats(VulkanFormat... elements)
    Adds elements to `colorAttachmentFormats` list.
    Parameters:
      `elements` - An array of colorAttachmentFormats elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setColorAttachmentFormats

    public final VulkanPipelineRenderingCreateInfo.Builder setColorAttachmentFormats(Iterable<? extends VulkanFormat> elements)
    Sets or replaces all elements for `colorAttachmentFormats` list.
    Parameters:
      `elements` - An iterable of colorAttachmentFormats elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllColorAttachmentFormats

    public final VulkanPipelineRenderingCreateInfo.Builder addAllColorAttachmentFormats(Iterable<? extends VulkanFormat> elements)
    Adds elements to `colorAttachmentFormats` list.
    Parameters:
      `elements` - An iterable of colorAttachmentFormats elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setDepthAttachmentFormat

    public final VulkanPipelineRenderingCreateInfo.Builder setDepthAttachmentFormat(VulkanFormat depthAttachmentFormat)
    Initializes the optional value `depthAttachmentFormat` to depthAttachmentFormat.
    Parameters:
      `depthAttachmentFormat` - The value for depthAttachmentFormat
    Returns:
      `this` builder for chained invocation

  - ### setDepthAttachmentFormat

    public final VulkanPipelineRenderingCreateInfo.Builder setDepthAttachmentFormat(Optional<? extends VulkanFormat> depthAttachmentFormat)
    Initializes the optional value `depthAttachmentFormat` to depthAttachmentFormat.
    Parameters:
      `depthAttachmentFormat` - The value for depthAttachmentFormat
    Returns:
      `this` builder for use in a chained invocation

  - ### setStencilAttachmentFormat

    public final VulkanPipelineRenderingCreateInfo.Builder setStencilAttachmentFormat(VulkanFormat stencilAttachmentFormat)
    Initializes the optional value `stencilAttachmentFormat` to stencilAttachmentFormat.
    Parameters:
      `stencilAttachmentFormat` - The value for stencilAttachmentFormat
    Returns:
      `this` builder for chained invocation

  - ### setStencilAttachmentFormat

    public final VulkanPipelineRenderingCreateInfo.Builder setStencilAttachmentFormat(Optional<? extends VulkanFormat> stencilAttachmentFormat)
    Initializes the optional value `stencilAttachmentFormat` to stencilAttachmentFormat.
    Parameters:
      `stencilAttachmentFormat` - The value for stencilAttachmentFormat
    Returns:
      `this` builder for use in a chained invocation

  - ### setViewMask

    public final VulkanPipelineRenderingCreateInfo.Builder setViewMask(long viewMask)
    Initializes the value for the `viewMask` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `viewMask`.

    Parameters:
      `viewMask` - The value for viewMask
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanPipelineRenderingCreateInfo build()
    Builds a new `VulkanPipelineRenderingCreateInfo`.
    Returns:
      An immutable instance of VulkanPipelineRenderingCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing